**Main Objective**

Build a vertical farming system with a controlled environment to grow strawberry plants in any environmental condition. 
Also,create a live plant monitoring system for consulting purposes and a system to identify problems in plant growth.

** Main Research Problem**
  
Strawberries are one of the most sought-after fruit in the world. The world strawberry market is projected to reach $18370 million by 2020. 
But it is expected to grow to $22450 million by 2026. To achieve this, the annual production of strawberries should be in the mean of 3.4 percent of the annual strawberry cultivation from 2021 to 2026. Considering the import of Strawberry from Sri Lanka, production speed of Sri Lanka contributes very little to the global market.
The reason behind this slow production rate is the unique environmental conditions required for strawberry cultivation. But unfortunately, these necessary climatic factors are limited to only one part of Sri Lanka. Due to these reasons, Sri Lanka exports less than one percent of world’s strawberries to the world strawberry market by 2019. Also, Sri Lanka ranks 58th in world strawberry export [1,2]. Therefore, strawberry cultivation in Sri Lanka has failed to compete in the global market.
Strawberry cultivation should be expanded to all parts of Sri Lanka to compete with the global market and to be an active participant in the global market. 

**Individual Research Problem**

How to create the perfect growing environment required for strawberry?

Creating the right environment for strawberries means creating the ideal temperature, humidity, sunlight, atmospheric pressure, water and atmospheric composition for cultivation.

How to provide fertilizers to the strawberry plant?

The amount of fertilizer to be applied at different stages of the strawberry plant and the different types of fertilizers should be accurately identified and a suitable methodology should be devised to supply those quantities to the crop.
Ensure the plant grows as expected and is safe from diseases
As mentioned above, after the creation of the strawberry environment and the application of the relevant fertilizer application procedure, it should be ascertained whether the crop is growing as expected in that environment. It is also important to monitor whether the crop is susceptible to various infections due to this artificially created ecosystem.

How do strawberry experts investigate the plant without affecting its environment?

Since this is a controlled ecosystem, the physical monitoring by an expert when the above infections are identified can have an unwanted effect on the balance of this controlled ecosystem. It can also lead to various diseases entering the system. Therefore, there must be a suitable methodology to remotely monitor this system at any given moment.

**Individual Objectives**

**Member 1_Samaranayake.S.L**

Composition monitoring and control of the nutrition solution according to the different stages of the plant.
Create a nutrition chamber and place fertilizer dosing pumps, Ph prob, EC prob, water level sensor, water flow controller, and fertilized containers correctly using proper design techniques.
Develop a platform to collect data from sensors (PH, EC, water level) using the Raspberry Pi.
 Create a procedure to Calibrate the PH probe and EC prob.
Design of an optimal decision-making algorithm for dosing fertilizers to the nutrition solution according to the stages of the plant's growing cycle
Manage the Ph level of the nutrition solution using sensor data and change by adding water or adding more fertilizers.

**Member 2**

Identify plant status and problems in plant growth and give notifications to user and Controlling the watering system for plants
Design a machine learning model to analyze imagers and identify problems and plant status.
Develop a platform to push notifications to users when a problem occurs.
Develop a platform to collect data from sensors (moisture) using the Raspberry Pi.
Develop a procedure to water the plants according to their moisture level or according to the given time slot.

**Member 3**

create a plant live monitoring system for consulting purposes and process imagers for future analysis.
Control camera to move up down in a camera rail and to go around the tower. The objective of this process is to capture the images of each plant at a given time.
Process captured images and input them for further analysis.
Develop a remote consulting procedure for the consultants to investigate the plant remotely and give feedback.

**Member 4**


Monitor and control environment in the vertical farming system.
Create a platform to gather data from sensors (temperature, humidity, air quality, lux)
Using current temperature and user set temperature, find appropriate temperature range using fuzzy logic concepts. Based on the output, change the internal temperature of the tower using a cooling unit.

Using current humidity and user set humidity, find appropriate humidity range using fuzzy logic concepts. Based on the output, change the internal humidity of the tower using mist maker.

Using red and blue lights, provide necessary sunlight to the plant. Also measure lux level of that light and change them to required intensity.

Measure air quality and based on the results activate or deactivate exhaust fan.

