import json
import time
import serial
import os
import influxdb_client, os, time
from influxdb_client import InfluxDBClient, Point, WritePrecision
from influxdb_client.client.write_api import SYNCHRONOUS
SCREEN_DISPLAY=True
SAVE_TO_FILE=True
DELIMITER=','

#SERIAL_PORT='/dev/ttyACM0' # serial port terminal
SERIAL_PORT='/dev/ttyACM1'

scale=serial.Serial(SERIAL_PORT,timeout=20,baudrate=9600)
while True:
 t_end = time.time() + 1 * 1
 while time.time() < t_end:
    file_name= 'outputENV.txt'
    fid= open(file_name,'wb')
    str_scale=scale.readline()
    str_scale.decode('utf').rstrip('\n')
    time_now=time.strftime("%Y-%m-%d %H:%M:%S")
    if SCREEN_DISPLAY: print(str_scale)
    time.sleep(0.01)  # in seconds
    if SAVE_TO_FILE: fid.write(str_scale)
    

 print ("end ")
 # the file to be converted
 filename = 'outputENV.txt'
 
 # resultant dictionary
 dict1 = {}
 
 # fields in the sample file
 fields =['Temperature', 'Humidity', 'LightIntensity', 'AirQuality']
 
 with open(filename) as fh:
     
 
     
    # count variable for employee id creation
    l = 1
     
    for line in fh:
         
        # reading line by line from the text file
        description = list( line.strip().split(None, 4))
         
        # for output see below
        print(description)
         
        # for automatic creation of id for each employee
        sno ='emp'+str(l)
     
        # loop variable
        i = 0
        # intermediate dictionary
        dict2 = {}
        while i<len(fields):
             
         # creating dictionary for each employee
         dict2[fields[i]]= description[i]
         i = i + 1
                 
        # appending the record of each employee to
        # the main dictionary
        dict1[sno]= dict2
        l = l + 1
 

 # creating json file       
 out_file = open("testenv.json", "w")
 json.dump(dict1, out_file, indent = 4)
 out_file.close()
 token = "CrvRV1Ywxrb0osbdGThFJUtsiSpSC5GhSL1oiwrBCI02yWXw7AcEa2wVwtKvka_p1gpGEaC1vAIIlP7MxBhUYw=="
 org = "shenalsamaranayakejfx@gmail.com"
 url = "https://eastus-1.azure.cloud2.influxdata.com"

 client = influxdb_client.InfluxDBClient(url=url, token=token, org=org)
 bucket="SensorData"

 write_api = client.write_api(write_options=SYNCHRONOUS)
   
 for x,y in dict1.items():
   point3 = (
    Point("Emp")
    .tag("Temperature", "Temperature")
    .field("Temperature", y["Temperature"])
    
  )
   point4 = (
    Point("Emp")
    .tag("Humidity", "Humidity")
    .field("Humidity", y["Humidity"])
    
  )
   point5 = (
    Point("Emp")
    .tag("LightIntensity", "LightIntensity")
    .field("LightIntensity", y["LightIntensity"])
    
  )
   point6 = (
    Point("Emp")
    .tag("AirQuality", "AirQuality")
    .field("AirQuality", y["AirQuality"])
    
  )
   write_api.write(bucket=bucket, org="shenalsamaranayakejfx@gmail.com", record=point3)
   write_api.write(bucket=bucket, org="shenalsamaranayakejfx@gmail.com", record=point4)
   write_api.write(bucket=bucket, org="shenalsamaranayakejfx@gmail.com", record=point5)
   write_api.write(bucket=bucket, org="shenalsamaranayakejfx@gmail.com", record=point6)
   time.sleep(.1) # separate points by .5 second


 # for x,y in dict1.items():
 #         print(x)
 #         print(y["name"])
 #         print(y["time"])

 # creating json file 



    

