from typing import Union
from fastapi import FastAPI
import Stepper_Live
from fastapi.middleware.cors import CORSMiddleware

app = FastAPI()

origins = [
    "http://localhost",
    "http://localhost:8080",
]

app.add_middleware(
    CORSMiddleware,
    allow_origins=origins,
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

@app.get("/navigate/manual/{index_id}")
def read_item(index_id: int):
    Stepper_Live.Main(index_id)
    return {"Response": "index " + str(index_id)}
